# RemovalReason

class `praw.models.reddit.removal_reasons.``RemovalReason`(reddit: Reddit, subreddit: Subreddit, id: Optional[str] = None, reason_id: Optional[str] = None, _data: Optional[Dict[str, Any]] = None)

  An individual Removal Reason object.

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list necessarily complete.

  Attribute | Description
  --- | ---
  `id` | The id of the removal reason.
  `message` | The message of the removal reason.
  `title` | The title of the removal reason.

  `__init__`(reddit: Reddit, subreddit: Subreddit, id: Optional[str] = None, reason_id: Optional[str] = None, _data: Optional[Dict[str, Any]] = None)

    Construct an instance of the Removal Reason object.

    Parameters

      - reddit – An instance of `Reddit`.

      - subreddit – An instance of `Subreddit`.

      - id – The id of the removal reason.

      - reason_id – (Deprecated) The original name of the `id` parameter. Used for backwards compatibility. This parameter should not be used.

  `delete`()

    Delete a removal reason from this subreddit.

    To delete `"141vv5c16py7d"` from the subreddit `"NAME"` try:

        reddit.subreddit("NAME").mod.removal_reasons["141vv5c16py7d"].delete()

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.

  `update`(message: Optional[str] = None, title: Optional[str] = None)

    Update the removal reason from this subreddit.

    Note

    Existing values will be used for any unspecified arguments.

    Parameters

      - message – The removal reason’s new message.

      - title – The removal reason’s new title.

    To update `"141vv5c16py7d"` from the subreddit `"NAME"` try:

        reddit.subreddit("NAME").mod.removal_reasons["141vv5c16py7d"].update(
            message="New message", title="New title"
        )